#include utility.js
#include ui/chat-input-main.js
#include ui/chat-input-menus.js

Umi.UI.ChatInput = function() {
    const menus = new Umi.UI.ChatInputMenus;
    const main = new Umi.UI.ChatInputMain;

    const html = $e({
        tag: 'form',
        attrs: {
            id: 'umi-msg-form',
            className: 'input',
        },
        child: [
            menus,
            main,
        ],
    });

    return {
        getMenus: function() {
            return menus;
        },
        getMain: function() {
            return main;
        },
        getElement: function() {
            return html;
        },
    };
};
